*{
    /*bloco de reset*/
    box-sizing: border-box;
}
body{
    margin: 0px;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #f4f4f4; /*cor em hexadecimal*/
}
header{
    background-color: #c0c0c0;/*cinza cocô kkkk */
    color: #ffff; /*branco em hexadecimal*/
    text-align: center; /*centraliza o texto*/
}
nav a{ /*nav navigation a a, de link, vou trabalhar só no link*/
    color: black; /*alterei a cor 16/04*/
    text-decoration: crimson; /*tirei toda a decoração do texto*/
    padding: 4px;
    border-top-left-radius:10px;
    border-top-right-radius: 10px;/*radius é a borda arredondada*/
    background-color: #cccc;
    border-bottom-color:#d8d;

}
nav a:hover{color: red;}
.bloco{ /*declaração de class, a class procede de "." */
    background-color: #cccc;
    color: black;
    border: 1px dotted #a3a3; /*borda geral tracejada*/
    border-radius: 6px;
    padding: 16px;
    margin-bottom: 16px;
    border-top: 2px solid rgb(110, 2, 110); /*borda superior solida*/
}
#galeria{ /* # significa id, onde coloca-se por ex.: id="galeria"
    só pode ter 1 com mesmo nome por página*/
    display: flex;
    flex-wrap: wrap;
    gap: 24px; /*espaço entre elementos dentro do id*/
    justify-content: center; /*centraliza horizontal*/ /*reforçando que vai estar flexivel*/
    padding: 20px;

}
.foto{
    background: #ffff   ;
    padding: 12px 12px 20px 12px; /*lat dir, esq, baixo e topo*/
    border: 1px solid #3e0000;
    box-shadow: 0 4px 10px #ff0000;
    width: 220px;/*largura*/
    text-align: center;/*alinhamento ao centro*/
    border-radius: 4px;
}

.foto img{
    width: 100%;
    height: 220px;
    object-fit: cover; /*efeito de sobrepor*/
    display: block;
}
 .foto:hover{
    transform: scale(1.50) rotate(-5deg);
 }
 .legenda{
    margin-top: 10px;
    font-family: 'Courier New', Courier, monospace;
    font-size: 18px;
    font-style: italic;
 }
